Foxit Reader < 5.4.3 Trojan DLL Injection

Medium Nessus Plugin ID 62384


A PDF viewer installed on the remote host is affected by an arbitrary code execution vulnerability.


The version of Foxit Reader installed on the remote Windows host is prior to 5.4.3. It is, therefore, affected by a flaw in how dynamic-link library (DLL) files are located and loaded, specifically file fxdecod1.dll. The application uses a fixed path to search for this file, and the path can include directories that may not be trusted or under the user's control. A local attacker can exploit this issue, via a crafted Trojan horse DLL file injected into the search path, to execute arbitrary code with the user's privileges.


Upgrade to Foxit Reader version 5.4.3 or later.

See Also

Plugin Details

Severity: Medium

ID: 62384

File Name: foxit_reader_5_4_3.nasl

Version: $Revision: 1.6 $

Type: local

Agent: windows

Family: Windows

Published: 2012/10/01

Modified: 2017/10/31

Dependencies: 32395

Risk Information

Risk Factor: Medium


Base Score: 6.9

Temporal Score: 5.7

Vector: CVSS2#AV:L/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:F/RL:OF/RC:ND

Vulnerability Information

CPE: cpe:/a:foxitsoftware:foxit_reader

Required KB Items: installed_sw/Foxit Reader

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2012/09/26

Vulnerability Publication Date: 2012/09/26

Reference Information

BID: 55686

OSVDB: 85774

Secunia: 50526